import { RouteLocationNormalized } from 'vue-router'

export namespace model {
	// 基础请求
	export interface basisRequest {
		login_user?: string
		i_language?: string
	}

	// 基础相应
	export interface basisResponse {
		resultCode: string
		errorDesc: string
	}

	// 基础权限
	export interface basisPermission {
		i_btn_delete: string
		i_btn_import: string
		i_btn_export: string
		i_btn_add: string
		i_btn_search: string
		i_show_checkbox: string
		i_msg_delete: string
		i_btn_edit: string
	}

	// 初始化页面
	export interface initialResponse extends basisResponse {
		perpageList: dropDownOption[]
		login_user: string
		i_perpage: string
		i_enable_flag: string
		enableList: dropDownOption[]
	}

	// 基础下拉
	export interface dropDownOption {
		label: string
		value: string
	}

	// 树形下拉
	export interface treeDropDownOption {
		label: string // 标题
		value: string // 值
		disabled?: boolean // 项禁用 true:禁用选项
		children?: treeDropDownOption[] // 子集
		isLeaf?: boolean // 懒加载节点 true:代表有下级节点
	}

	export interface TagView extends Partial<RouteLocationNormalized> {
		title?: string
	}

	// 表格导出
	export interface tableColumn {
		label: string
		value: string
		index: number
	}

	// 操作历史
	export interface historyTable {
		no: number
		i_license_no: string
		i_detail_no: string
		i_type: string
		i_num: string
		i_remark: string
		i_lr_user: string
		i_lr_time: string
	}
}
