import { Organize } from './../api/masterManagement/organize/index';
export namespace language {
	// 通用
	export interface Common {
		on: string
		close: string
		checkCode: string
		true: string
		select_file: string
		dialogClose: string
		add: string
		FullScreen: string
		success: string
		save: string
		language: string
		Upload: string
		yes: string
		character: string
		confirmCancel: string
		email: string
		confirmTitle: string
		edit: string
		no: string
		layout: string
		off: string
		CloseOther: string
		closeAll: string
		personalInformation: string
		confirmMessage: string
		required: string
		overstep: string
		please_select_file: string
		home: string
		upload_error: string
		confirmConfirm: string
		Logout: string
		confirmMessage1: string
		ChangePassword: string
		SwitchLanguageSuccess: string
		requiredSelectOne: string
		Refresh: string
		error: string
		confirmMessage2: string
		SwitchSizeSuccess: string
	}

	// 字典
	export interface Dictionary extends Common {
		i_sort: string
		dictionary_add: string
		validFlag: string
		category: string
		i_enable_flag: string
		dictionary_edit: string
		i_wordbook_type_name: string
		i_wordbook_name_ch: string
		i_wordbook_name_en: string
		i_wordbook_name: string
		i_wordbook_no: string
		i_wordbook_name_jp: string
		i_remark: string
	}

	// 公告通知
	export interface Announcement extends Common {
		i_notice_no: string
		confirmDeletion: string
		uploadAttachments: string
		state: string
		i_notice_title: string
		i_user_name: string
		updateDate: string
		newNotice: string
		editNotice: string
		content: string
		attachmentsList: string
		i_attach_count: string
	}

	// 首页
	export interface Dashboard extends Common {
		ApproveNG: string
		SystemBulletin: string
		ProcessCenter: string
		ToBeApproved: string
		Approved: string
		All: string
		ApproveOK: string
		AttachFile: string
		Proposed: string
		More: string
		ToBeSubmitted: string
	}

	// 登录
	export interface Login extends Common {
		account: string
		ok: string
		formTitle: string
		forget_password: string
		submit: string
		title: string
		code: string
		password: string
		forget_password_info: string
		Copyright: string
		mail: string
		workdayID: string
		retrieve: string
	}

	export interface Permission extends Common {
		i_remark: string
		i_delete_flag: string
		i_group_no: string
		permission_edit: string
		authorize: string
		i_module_name: string
		i_update_flag: string
		i_import_flag: string
		i_add_flag: string
		permission_add: string
		i_app_name: string
		i_enable_flag: string
		i_group_name: string
		i_search_flag: string
		i_func_name: string
		i_func_detail: string
		validFlag: string
		i_export_flag: string
	}

	export interface User extends Common {
		i_remark: string
		validFlag: string
		i_domain_user: string
		user: string
		i_psw_old: string
		user_edit: string
		i_enable_flag: string
		i_sms_flag: string
		i_psw_new: string
		i_email_flag: string
		user_add: string
		i_psw: string
		dept: string
		modify: string
		i_user_id: string
		i_company_no: string
		AuthorizedCompany: string
		i_group_name: string
		group: string
		i_psw_qr: string
		i_dept_name: string
		i_user_name: string
		i_phone: string
		info: string
		i_email: string
		staff: string
	}

	export interface LicenseStatistics extends Common {
		i_remark: string
		i_id_do: string
		i_employee_name: string
		i_price: string
		amount: string
		i_num: string
		i_company_name: string
		i_purchase_resume: string
		i_lr_user: string
		i_num_in: string
		i_apply_no: string
		i_num_out: string
		i_currency_name: string
		i_role_name_do: string
		i_amt: string
		i_operation_time: string
		i_dept_name: string
		i_num_leave: string
		i_type_name: string
		i_license_name: string
		i_lr_time: string
		i_used_resume: string
	}

	export interface QueryLicense extends Common {
		i_company: string
		i_name_1: string
		detailed: string
		i_name_2: string
		i_employee_name: string
		i_role_name: string
		i_dept_name: string
		i_id: string
		i_type_name: string
		i_license_name: string
		personnel: string
	}

	export interface QueryPersonnel extends Common {
		i_currency_name: string
		i_role_name: string
		i_company: string
		detailed: string
		i_employee_name: string
		i_num: string
		i_dept_name: string
		i_id: string
		i_system: string
		i_price: string
		i_type_name: string
		i_license_name: string
		personnel: string
		i_amt: string
		WorkdayID: string
		Mail: string
		i_role: string
		i_account: string
		i_currency: string
		i_amount: string
	}

	export interface ApprovalProcess extends Common {
		i_sort: string
		approvalProcess_edit: string
		i_flow_name: string
		everyone: string
		function: string
		i_step_name: string
		i_enable_flag: string
		approvalProcess_add: string
		i_user_name: string
		Appointor: string
		manager: string
		relevant: string
		i_step_num: string
		company: string
		i_license_name: string
		license: string
		LICENSE_TIP: string
		i_flow_desc: string
		i_location_name: string
	}

	export interface Employee extends Common {
		i_time: string
		index: string
		i_employee_name: string
		DomainAccount: string
		download_template: string
		i_change_date: string
		import_employee: string
		dept: string
		other_information: string
		i_employee_name_last_hz: string
		SuperiorWorkdayID: string
		personnel_elated: string
		import_resume: string
		employee_add: string
		i_last_name: string
		error_info: string
		IsManage: string
		employee_edit: string
		essential_information: string
		i_enable_flag: string
		i_file: string
		i_join_date: string
		i_company_name: string
		i_result: string
		i_employee_name_first_hz: string
		i_employee_pinyin: string
		import_result: string
		i_first_name: string
		i_entry_date: string
	}

	export interface ExchangeRate extends Common {
		i_year: string
		i_remark: string
		i_currency_to_name: string
		i_upd_date: string
		i_rate: string
		i_currency: string
	}

	export interface LicenseManagement extends Common {
		i_rate: string
		type: string
		relevant: string
		i_sort_1: string
		currency: string
		licenseManagement_add: string
		i_no_1: string
		i_no_2: string
		i_name_1: string
		function: string
		i_lr_user: string
		i_lr_time: string
		i_license_type: string
		i_num_leave: string
		i_currency_to: string
		i_amt: string
		num: string
		licenseManagement_edit: string
		i_enable_flag: string
		i_flow_name: string
		roleList: string
		i_name_2: string
		i_company: string
		i_sort_2: string
		licenseTypeList: string
		i_remark: string
		i_price: string
		i_license_name: string
		i_role_flag_name: string
		i_license_type_flag: string
		i_id_flag_name: string
		i_func_flag_name: string
		i_num_in: string
		i_num: string
		openRoleTip: string
	}

	export interface Organize extends Common {
		i_sort: string
		organize_edit: string
		i_enable_flag: string
		i_node_name: string
		organize_add: string
		i_node_name_show: string
		i_enable: string
		i_parent_name: string
	}

	export interface PersonnelLicense extends Common {
		i_remark: string
		i_employee_name: string
		i_name_1: string
		i_license_list: string
		searchField: string
		i_lr_user: string
		personnelLicense_add: string
		i_type_name1: string
		i_id: string
		i_no: string
		i_license_type: string
		i_company_name: string
		i_license: string
		i_dept_name: string
		i_user_no: string
		i_type_name: string
		detail: string
		i_role_no: string
		i_lr_time: string
		i_name_2: string
		import_employee: string
		import_resume: string
		i_entry_date: string
		i_file: string
		i_result: string
		i_time: string
		import_result: string
		error_info: string
		index: string
		download_template: string
	}

	export interface ApplyList extends Common {
		company: string
		i_license_name: string
		type: string
		EditApply: string
		i_dept_name: string
		i_licenseName: string
		i_sq_flag: string
		i_apply_no: string
		type_name: string
		i_state_name: string
		i_do_time: string
		ApplicationRelated: string
		i_node_name_show: string
		i_do_results: string
		i_do_flag: string
		i_name_1: string
		ApprovalRecord: string
		i_tj_time: string
		i_role_name_sq: string
		i_flow_name: string
		i_do_user: string
		i_proposed: string
		data: string
		license: string
		i_name_2: string
		i_do_remark: string
		all: string
		i_remark: string
		i_user_name: string
		ApplicationDetails: string
		i_do_type: string
		My_Approved: string
		DisposalApproval: string
		i_id_sq: string
		Approval: string
		ApplicationFunction: string
		essentialInformation: string
		attachmentsList: string
	}

	export interface NewApply extends Common {
		typeList: string
		i_remark: string
		i_user_no: string
		successTitle: string
		i_name_1: string
		i_license_list: string
		dept: string
		i_apply_no: string
		i_id_sq: string
		i_role_name_sq: string
		i_flow_no: string
		subTitle: string
		submit: string
		reset: string
		back: string
		funcList: string
		i_func_sq: string
		i_dept_no: string
		i_license_name: string
		newApply: string
		i_name_2: string
		next: string
		i_employee_pinyin: string
		i_employee_name: string
		confirmDeletion: string
		attachmentsList: string
		search: string
	}

	export interface ApplyTemplate {
		apply: string
		i_flow_desc: string
		i_flow_name: string
	}

	export interface MultilingualSettings extends Common {
		i_func_name: string
		i_language_ch: string
		i_language_jp: string
		i_language_en: string
		i_language_id: string
		i_func_id: string
		i_type: string
	}
}